grk::ICacheable Class Reference

`#include <ICacheable.h>`

Inheritance diagram for grk::ICacheable:

## Public Member Functions

| ICacheable ()
virtual | ~ICacheable ()=default
bool | isOpen (void)
bool | isClosed (void)
bool | isError (void)
void | setCacheState (GrkCacheState state)

## Private Attributes

GrkCacheState | state_

## Constructor & Destructor Documentation

## ICacheable()

grk::ICacheable::ICacheable | ( |  | ) |

inline

## ~ICacheable()

virtual grk::ICacheable::~ICacheable | ( |  | ) |

virtual default

## Member Function Documentation

## isClosed()

bool grk::ICacheable::isClosed | ( | void |  | ) |

inline

References grk::GRK_CACHE_STATE_CLOSED, and state_.

## isError()

bool grk::ICacheable::isError | ( | void |  | ) |

inline

References grk::GRK_CACHE_STATE_ERROR, and state_.

## isOpen()

bool grk::ICacheable::isOpen | ( | void |  | ) |

inline

References grk::GRK_CACHE_STATE_OPEN, and state_.

## setCacheState()

void grk::ICacheable::setCacheState | ( | GrkCacheState | state | ) |

inline

References state_.

## Member Data Documentation

## state_

GrkCacheState grk::ICacheable::state_

private

Referenced by isClosed(), isError(), isOpen(), and setCacheState().

The documentation for this class was generated from the following file:

- ICacheable.h